## org.apache.poi.openxml4j.opc
Enum CertificateEmbeddingOption

    java.lang.Object
      java.lang.Enum<CertificateEmbeddingOption>
          org.apache.poi.openxml4j.opc.CertificateEmbeddingOption

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CertificateEmbeddingOption>

    public enum CertificateEmbeddingOption

extends java.lang.Enum<CertificateEmbeddingOption>

Specifies the location where the X.509 certificate that is used in signing is stored.

Author:
  Julien Chable

Enum Constant Summary
`IN_CERTIFICATE_PART` The certificate is embedded in its own PackagePart.
`IN_SIGNATURE_PART` The certificate is embedded in the SignaturePart that is created for the signature being added.
`NOT_EMBEDDED` The certificate in not embedded in the package.

Method Summary
`static CertificateEmbeddingOption` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CertificateEmbeddingOption[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IN_CERTIFICATE_PART

    public static final CertificateEmbeddingOption IN_CERTIFICATE_PART

  The certificate is embedded in its own PackagePart.

### IN_SIGNATURE_PART

    public static final CertificateEmbeddingOption IN_SIGNATURE_PART

  The certificate is embedded in the SignaturePart that is created for the signature being added.

### NOT_EMBEDDED

    public static final CertificateEmbeddingOption NOT_EMBEDDED

  The certificate in not embedded in the package.

Method Detail

### values

    public static CertificateEmbeddingOption[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CertificateEmbeddingOption c : CertificateEmbeddingOption.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CertificateEmbeddingOption valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.